Package com.collibra.dgc.core.api.dto.user

# Class FindUsersRequest.Builder

Object
Builder

Enclosing class:
  `FindUsersRequest`

public static final class FindUsersRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindUsersRequest`
  `build()`
  `FindUsersRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindUsersRequest.Builder`
  `department(String department)`
  `FindUsersRequest.Builder`
  `groupId(UUID groupId)`
  `FindUsersRequest.Builder`
  `includeDisabled(boolean includeDisabled)`
  `FindUsersRequest.Builder`
  `limit(int limit)`
  `FindUsersRequest.Builder`
  `name(String name)`
  `FindUsersRequest.Builder`
  `nameSearchFields(Set<NameSearchField> nameSearchFields)`
  `FindUsersRequest.Builder`
  `offset(int offset)`
  `FindUsersRequest.Builder`
  `onlyLoggedIn(boolean onlyLoggedIn)`
  `FindUsersRequest.Builder`
  `sortField(NameSearchField sortField)`
  `FindUsersRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `FindUsersRequest.Builder`
  `title(String title)`
  `String`
  `toString()`
  `FindUsersRequest.Builder`
  `userIds(List<String> userIds)`
  `FindUsersRequest.Builder`
  `userSources(Set<String> userSources)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindUsersRequest.Builder offset(int offset)

  - ### limit

    public FindUsersRequest.Builder limit(int limit)

  - ### but

    @Deprecated public FindUsersRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindUsersRequest.builder()`
    Clone method for this Builder.

  - ### userIds

    public FindUsersRequest.Builder userIds(List<String> userIds)
    Returns:
      `this`.

  - ### name

    public FindUsersRequest.Builder name(String name)
    Returns:
      `this`.

  - ### title

    public FindUsersRequest.Builder title(String title)
    Returns:
      `this`.

  - ### department

    public FindUsersRequest.Builder department(String department)
    Returns:
      `this`.

  - ### userSources

    public FindUsersRequest.Builder userSources(Set<String> userSources)
    Returns:
      `this`.

  - ### groupId

    public FindUsersRequest.Builder groupId(UUID groupId)
    Returns:
      `this`.

  - ### onlyLoggedIn

    public FindUsersRequest.Builder onlyLoggedIn(boolean onlyLoggedIn)
    Returns:
      `this`.

  - ### includeDisabled

    public FindUsersRequest.Builder includeDisabled(boolean includeDisabled)
    Returns:
      `this`.

  - ### nameSearchFields

    public FindUsersRequest.Builder nameSearchFields(Set<NameSearchField> nameSearchFields)
    Returns:
      `this`.

  - ### sortOrder

    public FindUsersRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### sortField

    public FindUsersRequest.Builder sortField(NameSearchField sortField)
    Returns:
      `this`.

  - ### build

    public FindUsersRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`